Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.compiler.bom
Enum Correlation.Initiate

    java.lang.Object
      java.lang.Enum<Correlation.Initiate>
          org.apache.ode.bpel.compiler.bom.Correlation.Initiate

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Correlation.Initiate>

Enclosing class:
  Correlation

    public static enum Correlation.Initiate

extends java.lang.Enum<Correlation.Initiate>

Enum Constant Summary
`JOIN`
`NO`
`UNSET`
`YES`

Method Summary
`static Correlation.Initiate` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Correlation.Initiate[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final Correlation.Initiate YES

### NO

    public static final Correlation.Initiate NO

### JOIN

    public static final Correlation.Initiate JOIN

### UNSET

    public static final Correlation.Initiate UNSET

Method Detail

### values

    public static final Correlation.Initiate[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Correlation.Initiate c : Correlation.Initiate.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Correlation.Initiate valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD